package com.hua.valid.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.TYPE) // 类或接口上使用
@Retention(RetentionPolicy.RUNTIME) // 在运行时可见
public @interface PackageScanConfig {
    boolean useSPI() default false; // 默认为false
    boolean useReflection() default false; // 默认为false
    String[] packages() default {}; // 默认为空数组
}
